[MMM] Multi-Mod Manager (a collection of tools)

Discussion in 'Wii - Hacking' started by Wiiwu, Feb 11, 2010.

  1. XFlak

    XFlak Wiitired but still kicking

    Member
    8
    Sep 12, 2009
    Canada
    Ontario
    I've sent a PM to the dev I've been testing 4 to ur post... hopefully we get it all sorted out soon, thx for your feedback [​IMG]


    Does it make sense that apps load properly more consistently after waiting 30 seconds in the HBC before launching anything? I can't think of a good explanation... but that's what my testing results indicate...
     
  2. tueidj

    tueidj I R Expert

    Member
    7
    Jan 8, 2009
    Yes, the longer you wait the better the chance that the network init call will return while HBC is still running and be handled correctly.
     
  3. petspeed

    petspeed GBAtemp Advanced Fan

    Member
    3
    Nov 13, 2009
    Thank you for your answer and thank you for that great feature. MMM is really a nice program.

    Also thanks to Xflak for your answer and your theories and testing.
     
  4. mike333

    mike333 GBAtemp Advanced Fan

    Member
    2
    Aug 30, 2010
    Poland
    Still no source code? Pass.
     
  5. Wiiwu
    OP

    Wiiwu GBAtemp Regular

    Member
    1
    Jan 21, 2009
    Hong Kong
    Asia
    Glad you like it, thanks!

    And BlackPearl from germany email me a nice icon to share with you guys: [​IMG]
     
  6. Madridi

    Madridi Card Collector

    Member
    10
    May 9, 2008
    Qatar
    Doha
    wow.. nice icon
    Anyone mind converting this into png?
     
  7. XFlak

    XFlak Wiitired but still kicking

    Member
    8
    Sep 12, 2009
    Canada
    Ontario
    [​IMG]

    dude, that was as easy as opening the jpg in paint and saving as png...
     
  8. Madridi

    Madridi Card Collector

    Member
    10
    May 9, 2008
    Qatar
    Doha
    haha, I wasnt sure if it would simply work like that or not. I dont remember which homebrew for the PSP used to require a certain dpi for an image. So yeah I didnt want to get into that so I just asked [​IMG]

    Thanks XFlak
     
  9. Scolor

    Scolor GBAtemp Regular

    Member
    2
    Nov 7, 2008
    Italy
    This is a GREAT update! Thanks.

    But why do you use IOS36 rev 3608 ? With this rev we could not install wanin's or hermes' cIOS . Am I right?
     
  10. xfcrowman

    xfcrowman GBAtemp Fan

    Member
    2
    Mar 14, 2009
    United States
    With this newest version of MMM, you don't even need to install a patched IOS36 or IOS236. Just run MMM using AHB_PROT, go to wad manager, and install waninkoko/hermes cIOS wads.

    So for a virgin wii, the steps would be: Run hackmii installer, use mmm with AHB_PROT to install cIOS wads, install priiloader, profit!
     
  11. Scolor

    Scolor GBAtemp Regular

    Member
    2
    Nov 7, 2008
    Italy
    Oh ok that's nice. Thanks! So we will not be able to use cIOS installers, but we've to use cIOS wads, right? So...we should wait new version of cios installer supporting AHBPROT.
     
  12. xfcrowman

    xfcrowman GBAtemp Fan

    Member
    2
    Mar 14, 2009
    United States
    Well, if you wanted to you could use cIOS installers as well. You can still use MMM and some other apps to install a patched IOS36 or IOS236. The cIOS installers would then work if you selected the patched IOS to do the install.

    I do think that future cIOS installers by hermes and waninkoko will likely be able to use AHB_PROT to install cIOS as well.
     
  13. Wiiwu
    OP

    Wiiwu GBAtemp Regular

    Member
    1
    Jan 21, 2009
    Hong Kong
    Asia
    Because it just happens to be the latest and it shouldn't affect Wanikoko or Hermes installers; their installers picks their own base IOS to install. But still if there are real issues with r3608, do let me know and I'll change it.

    Thanks xfcrowman for helping to clarify too.
     
  14. xfcrowman

    xfcrowman GBAtemp Fan

    Member
    2
    Mar 14, 2009
    United States
    EDIT - nevermind - I think I was wrong with my original post. However, I would like to know why some apps like the IOS236 installer use IOS36 v3351 instead of the latest version of IOS36.
     
  15. XFlak

    XFlak Wiitired but still kicking

    Member
    8
    Sep 12, 2009
    Canada
    Ontario
    Even IOS36v3351 requires to be patched with the version patch in order to downgrade IOSs. If the latest IOS36 can be patched the same way, then it should make no difference. However, I don't know if it can... but this can be easily tested.
     
  16. airline38

    airline38 GBAtemp Advanced Fan

    Member
    6
    Mar 28, 2010
    Taiwan
    I tried to use CustomizeMii (v3.11) to make a forwarder wad for MMM.

    However, I found this way can't enable AHBPORT (checked the AHBPORT
    status is 00000000) .

    Suppose the reason is CustomizeMii didn't consider HBC 1.0.7 or 1.0.8 . Is it correct ?
     
  17. Wiiwu
    OP

    Wiiwu GBAtemp Regular

    Member
    1
    Jan 21, 2009
    Hong Kong
    Asia
    MMM 13.4 does have on-the-fly version patch, so it will allow downgrade/installing of lower version IOS / Title and overwriting of stubs under AHBPROT mode.
     
  18. XFlak

    XFlak Wiitired but still kicking

    Member
    8
    Sep 12, 2009
    Canada
    Ontario
    not true, just read this post and use the provided base wad

    http://gbatemp.net/t249210-static-base-wad

    @wiiwu, the Q was, after installing a cIOS of IOS36v3608 to slot 236, will it operate the same as a patched IOS36v3351 installed to slot236
     
  19. petspeed

    petspeed GBAtemp Advanced Fan

    Member
    3
    Nov 13, 2009
    Would launching MMM from a channel made using that base wad overcome the freeze bug for AHBPROT mode (compared to launching the app from HBC)?
     
  20. Wiiwu
    OP

    Wiiwu GBAtemp Regular

    Member
    1
    Jan 21, 2009
    Hong Kong
    Asia
    Its worked for me; but I am open to changing it to whatever version that is better or the standard. Just let me know.
     
Loading...